
Figure - Bug #113372
【BSP】【EVT2】【MEM】【必现】【User】Push带中文路径的视频到DUT中，文件播放失败
2022-10-31 15:55 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-10-31

Priority: Normal Due date:

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause:

Description

【前提条件】

1.烧录版本，设备已开机

【测试步骤】

1.push视频、歌曲文件到sdcard/Download/下，

2.播放视频、歌曲文件

【预期结果】

1.Push 成功

2.成功播放视频、歌曲

【实际结果】

2.不能成功播放歌曲、视频

【概率】

必现

【备注】

使用不同的push路径，文件现象不一致

歌曲文件：gequ.mp3  视频文件：shiping.mp4

1.adb push C:\Users\thundersoft\Desktop\资源文件\test\Food.mp4  /sdcard/Download/    文件名：Fo    现象：不能播放，提示无法打开文件 ，

图标为文件图标

2.adb push C:\Users\thundersoft\Desktop\test\Food.mp4 /sdcard/Download/         文件名：Food.mp4   现象：可播放

3.adb push "C:\Users\thundersoft\Desktop\test\Food.mp4" /sdcard/Download/       文件名：Food.mp4   现象：不能播放，提示无法打开文件 ，

图标为文件图标

History

#1 - 2022-10-31 15:57 - CDTS_TEST 刘勇

【更新】

3.adb push "C:\Users\thundersoft\Desktop\test\Food.mp4" /sdcard/Download/ 文件名：Food.mp4 现象：不能播放，提示无法打开文件 ，图标为文件图标

改为：

3.adb push "C:\Users\thundersoft\Desktop\测试资源\test\Food.mp4" /sdcard/Download/ 文件名：Food.mp4 现象：不能播放，提示无法打开文件 ，图标为文件

图标

#2 - 2022-10-31 20:10 - CD BSP-唐金泽

- Category changed from BSP to AUDIO-FW

- Assignee changed from CD BSP-唐金泽 to CD MM陈海波
hi,海波，请看下这个bug

#3 - 2022-11-01 15:20 - CD MM陈海波

- Status changed from New to ASSIGNED

此问题进行测试, 还未复现问题.

正在和测试进行沟通, 合意测试步骤.

#4 - 2022-11-01 15:55 - CD MM陈海波

- File problem.png added

Hi, 金泽,

此问题还是传输协议方面的问题导致. 

具体的信息如下: 

1. 在linux系统进行push, 可以播放正常.

2. 在window系统下进行push, 如果路径存在中文, 播放异常.

在window系统下进行push, 文件名并未被截取完全, 后缀名也会被挪走,导致不能时别为多媒体文件.

具体可以参考上传的附件.

基于这样, 可能还是需要驱动看下, window系统push的协议情况.

(如果没理解错, 应该是bsp的模块范围吧. 如果不是, 还请帮忙转到相应的组)

多谢!

#5 - 2022-11-01 15:55 - CD MM陈海波

- Assignee changed from CD MM陈海波 to CD BSP-唐金泽

#6 - 2022-11-01 16:12 - CD BSP-唐金泽

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-唐金泽 to CDTS_TEST 刘勇

hi 刘勇，

此bug为windows时，adb push 传输时，字符码问题导致的。

https://cloud.tencent.com/developer/article/1738378

根据你提供的测试手顺，如果为测试必要case的话

可通过 避免中文路径 or 修改文件名 的方式进行解决。

#7 - 2022-11-04 21:49 - CDTS_TEST 刘勇

- Status changed from RESOLVED to VERIFIED

#8 - 2022-11-04 21:49 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED
- % Done changed from 0 to 100

Files

1021-Push_MP4_notWork.txt 3.3 MB 2022-10-31 CDTS_TEST 刘勇

problem.png 123 KB 2022-11-01 CD MM陈海波
